Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005041opensim[REGION] OpenSim Corepublic2010-09-11 22:022013-05-13 16:35
Reporterkenvc 
Assigned Tokenvc 
PrioritynormalSeveritycrashReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0005041: Opensim Crashes with System.NullReferenceException error
DescriptionSystem.NullReferenceException errors on 64 bit Windows 7 every hour or so. Windows reports. System that crashes the most contains multiple sims with a total of about 20,000 prims, but other 64 bit Windows 7 server with multiple sims in a mega region with only 200 or so prims crashes in exactly the same way, although not as often.

When Windows displays the crash message, opensim usually continues to work with various issues until its restarted which indicates some threads are still operating normally.

Crashes appeared to worsen after upgrading to the 08/21/2010 release from OSGrid

Using MySQL as the database.
Additional InformationHere is the detail from the Windows error message that displays:

Description:
Stopped working

Problem signature:
Problem Event Name: CLR20r3
Problem Signature 01: opensim.32bitlaunch.exe
Problem Signature 02: 1.0.0.0
Problem Signature 03: 49392088
Problem Signature 04: mscorlib
Problem Signature 05: 2.0.0.0
Problem Signature 06: 4bebd50b
Problem Signature 07: 41bf
Problem Signature 08: a3
Problem Signature 09: System.NullReferenceException
OS Version: 6.1.7600.2.0.0.768.3
Locale ID: 1033

TagsNo tags attached.
Git Revision or version numberaccdd9d554ad807995f6e6a86097e267e870b33f
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Filesrar file icon OpenSim.32BitLaunch.log.rar [^] (9,482 bytes) 2010-09-11 22:02
log file icon opensim.32BitLaunch.log [^] (205,292 bytes) 2010-09-14 08:45

- Relationships

-  Notes
(0016845)
Clinton (reporter)
2010-09-14 08:50
edited on: 2010-09-14 14:55

I'm having the same problem. Windows pops up an error window "OpenSim.32BitLaunch has stopped working" I'm running an i7 quad core, 6GB RAM, 32 bit Windows 7 with 21 regions. 3 regions have buildings on them, the rest are land only. I've uploaded the log from the error on. opensim.32BitLaunch.log

I don't remember what version it started, but it seems to me it got worse when I added the last 3 regions.

Edit: I removed 8 regions but still crashed.

(0016846)
kenvc (reporter)
2010-09-14 11:06

My system is an AMD Quad core 64 bit Windows 7 8 GIG ram, running almost the same configuration as Clinton. This problem has significantly reduced the last 2 days, dont know why unless its something related to the interaction with the grid server that changed.
(0016950)
kenvc (reporter)
2010-10-10 22:36

Now using a special build of the OpenSim.32BitLaunch.exe provided by Whitestar and all crash issues have totally vanished. Apparently the standard OpenSim.32BitLaunch.exe build has issues with 64 bit Windows 7 under certain conditions.

Will be using this special build with all future versions of opensim from now on.
(0018701)
lppallew (reporter)
2011-06-18 22:10

hey kenvc. can you post a link to this special build version from Whitestar? Would love to have this problem vanish!
thanks

- Issue History
Date Modified Username Field Change
2010-09-11 22:02 kenvc New Issue
2010-09-11 22:02 kenvc File Added: OpenSim.32BitLaunch.log.rar
2010-09-11 22:02 kenvc Git Revision => accdd9d554ad807995f6e6a86097e267e870b33f
2010-09-11 22:02 kenvc SVN Revision => 0
2010-09-11 22:02 kenvc Run Mode => Grid (Multiple Regions per Sim)
2010-09-11 22:02 kenvc Physics Engine => ODE
2010-09-11 22:02 kenvc Environment => .NET / Windows64
2010-09-11 22:02 kenvc Mono Version => None
2010-09-14 08:45 Clinton File Added: opensim.32BitLaunch.log
2010-09-14 08:50 Clinton Note Added: 0016845
2010-09-14 11:06 kenvc Note Added: 0016846
2010-09-14 14:55 Clinton Note Edited: 0016845
2010-10-10 22:36 kenvc Note Added: 0016950
2011-06-18 22:10 lppallew Note Added: 0018701
2011-10-08 06:05 kenvc Status new => resolved
2011-10-08 06:05 kenvc Resolution open => fixed
2011-10-08 06:05 kenvc Assigned To => kenvc
2013-05-13 16:35 kenvc Status resolved => closed
2013-05-13 16:35 kenvc Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker